Update parent to CPAN version 0.223
authorChris Williams <chris@bingosnet.co.uk>
Sat, 12 Sep 2009 12:14:56 +0000 (13:14 +0100)
committerChris Williams <chris@bingosnet.co.uk>
Sat, 12 Sep 2009 12:14:56 +0000 (13:14 +0100)
From Changes:

  0.223  20090901
    . No functional changes, no need to upgrade
    + Fix Makefile.PL so that (re)installing parent under 5.10.1+
      installs into perl/ instead of site/, patched by J.D.Hedden
      fixes RT #49328

  0.222  20090828
    . No functional changes, no need to upgrade
    + Documentation fix suggested by Clinton Gormley
    + Test fix for Perl compiled without PMC support,
      spotted and fixed by Nicholas Clark
    + Distribution changes to placate Module::Release

Porting/Maintainers.pl
ext/parent/lib/parent.pm
ext/parent/t/parent-pmc.t

index 695491d..9538190 100755 (executable)
@@ -1127,7 +1127,7 @@ use File::Glob qw(:case);
     'parent' =>
        {
        'MAINTAINER'    => 'corion',
-       'DISTRIBUTION'  => 'CORION/parent-0.221.tar.gz',
+       'DISTRIBUTION'  => 'CORION/parent-0.223.tar.gz',
        'FILES'         => q[ext/parent],
        'CPAN'          => 1,
        'UPSTREAM'      => undef,
index 435ff25..a18526b 100644 (file)
@@ -1,7 +1,7 @@
 package parent;
 use strict;
 use vars qw($VERSION);
-$VERSION = '0.221';
+$VERSION = '0.223';
 
 sub import {
     my $class = shift;
@@ -71,7 +71,7 @@ This is equivalent to the following code:
   sub exclaim { "I CAN HAS PERL" }
 
   package DoesNotLoadFooBar;
-  push @DoesNotLoadFooBar::ISA, 'Foo';
+  push @DoesNotLoadFooBar::ISA, 'Foo', 'Bar';
 
 This is also helpful for the case where a package lives within
 a differently named file:
index 1b544c8..851a438 100644 (file)
@@ -9,9 +9,12 @@ BEGIN {
 
 use strict;
 use Test::More;
+use Config;
 use lib 't/lib';
 
 plan skip_all => ".pmc are only available with 5.6 and later" if $] < 5.006;
+plan skip_all => ".pmc are disabled in this perl"
+    if $Config{ccflags} =~ /(?<!\w)-DPERL_DISABLE_PMC\b/;
 plan tests => 3;
 
 use vars qw($got_here);